/[gentoo-x86]/eclass/x-modular.eclass
Gentoo

Diff of /eclass/x-modular.eclass

Parent Directory Parent Directory | Revision Log Revision Log | View Patch Patch

Revision 1.106 Revision 1.107
1# Copyright 1999-2005 Gentoo Foundation 1# Copyright 1999-2005 Gentoo Foundation
2# Distributed under the terms of the GNU General Public License v2 2# Distributed under the terms of the GNU General Public License v2
3# $Header: /var/cvsroot/gentoo-x86/eclass/x-modular.eclass,v 1.106 2009/03/03 16:26:20 remi Exp $ 3# $Header: /var/cvsroot/gentoo-x86/eclass/x-modular.eclass,v 1.107 2009/03/03 16:28:32 remi Exp $
4# 4#
5# @ECLASS: x-modular.eclass 5# @ECLASS: x-modular.eclass
6# @MAINTAINER: 6# @MAINTAINER:
7# Donnie Berkholz <dberkholz@gentoo.org>, x11@gentoo.org 7# Donnie Berkholz <dberkholz@gentoo.org>, x11@gentoo.org
8# @BLURB: Reduces code duplication in the modularized X11 ebuilds. 8# @BLURB: Reduces code duplication in the modularized X11 ebuilds.
190# @DESCRIPTION: 190# @DESCRIPTION:
191# Ensures the server supports DRI if building a driver with DRI support 191# Ensures the server supports DRI if building a driver with DRI support
192x-modular_dri_check() { 192x-modular_dri_check() {
193 # (#120057) Enabling DRI in drivers requires that the server was built with 193 # (#120057) Enabling DRI in drivers requires that the server was built with
194 # support for it 194 # support for it
195 # Starting with xorg-server 1.5.3, DRI support is always enabled unless
196 # USE=minimal is set (see bug #252084)
195 if [[ -n "${DRIVER}" ]]; then 197 if [[ -n "${DRIVER}" ]]; then
196 if has dri ${IUSE} && use dri; then 198 if has dri ${IUSE} && use dri; then
197 einfo "Checking for direct rendering capabilities ..." 199 einfo "Checking for direct rendering capabilities ..."
200 if has_version '>=x11-base/xorg-server-1.5.3'; then
201 if built_with_use x11-base/xorg-server minimal; then
202 die "You must build x11-base/xorg-server with USE=-minimal."
203 fi
204 else
198 if ! built_with_use --missing true x11-base/xorg-server dri; then 205 if ! built_with_use x11-base/xorg-server dri; then
199 die "You must build x11-base/xorg-server with USE=dri." 206 die "You must build x11-base/xorg-server with USE=dri."
207 fi
200 fi 208 fi
201 fi 209 fi
202 fi 210 fi
203} 211}
204 212

Legend:
Removed from v.1.106  
changed lines
  Added in v.1.107

  ViewVC Help
Powered by ViewVC 1.1.20